<?php
require('fpdf.php');


class PDF extends FPDF
{
    function Cell($w, $h = 0, $txt = '', $border = 0, $ln = 0, $align = '', $fill = false, $link = '')
    {
        $k = $this->k;
        if ($this->y + $h > $this->PageBreakTrigger && !$this->InHeader && !$this->InFooter && $this->AcceptPageBreak()) {
            $x = $this->x;
            $ws = $this->ws;
            if ($ws > 0) {
                $this->ws = 0;
                $this->_out('0 Tw');
            }
            $this->AddPage($this->CurOrientation);
            $this->x = $x;
            if ($ws > 0) {
                $this->ws = $ws;
                $this->_out(sprintf('%.3F Tw', $ws * $k));
            }
        }
        if ($w == 0)
            $w = $this->w - $this->rMargin - $this->x;
        $s = '';
        if ($fill || $border == 1) {
            if ($fill)
                $op = ($border == 1) ? 'B' : 'f';
            else
                $op = 'S';
            $s = sprintf('%.2F %.2F %.2F %.2F re %s ', $this->x * $k, ($this->h - $this->y) * $k, $w * $k, -$h * $k, $op);
        }
        if (is_string($border)) {
            $x = $this->x;
            $y = $this->y;
            if (is_int(strpos($border, 'L')))
                $s .= sprintf('%.2F %.2F m %.2F %.2F l S ', $x * $k, ($this->h - $y) * $k, $x * $k, ($this->h - ($y + $h)) * $k);
            if (is_int(strpos($border, 'T')))
                $s .= sprintf('%.2F %.2F m %.2F %.2F l S ', $x * $k, ($this->h - $y) * $k, ($x + $w) * $k, ($this->h - $y) * $k);
            if (is_int(strpos($border, 'R')))
                $s .= sprintf('%.2F %.2F m %.2F %.2F l S ', ($x + $w) * $k, ($this->h - $y) * $k, ($x + $w) * $k, ($this->h - ($y + $h)) * $k);
            if (is_int(strpos($border, 'B')))
                $s .= sprintf('%.2F %.2F m %.2F %.2F l S ', $x * $k, ($this->h - ($y + $h)) * $k, ($x + $w) * $k, ($this->h - ($y + $h)) * $k);
        }
        if ($txt != '') {
            if ($align == 'R')
                $dx = $w - $this->cMargin - $this->GetStringWidth($txt);
            elseif ($align == 'C')
                $dx = ($w - $this->GetStringWidth($txt)) / 2;
            elseif ($align == 'FJ') {
                //Set word spacing
                $wmax = ($w - 2 * $this->cMargin);
                $this->ws = ($wmax - $this->GetStringWidth($txt)) / substr_count($txt, ' ');
                $this->_out(sprintf('%.3F Tw', $this->ws * $this->k));
                $dx = $this->cMargin;
            } else
                $dx = $this->cMargin;
            $txt = str_replace(')', '\\)', str_replace('(', '\\(', str_replace('\\', '\\\\', $txt)));
            if ($this->ColorFlag)
                $s .= 'q ' . $this->TextColor . ' ';
            $s .= sprintf('BT %.2F %.2F Td (%s) Tj ET', ($this->x + $dx) * $k, ($this->h - ($this->y + .5 * $h + .3 * $this->FontSize)) * $k, $txt);
            if ($this->underline)
                $s .= ' ' . $this->_dounderline($this->x + $dx, $this->y + .5 * $h + .3 * $this->FontSize, $txt);
            if ($this->ColorFlag)
                $s .= ' Q';
            if ($link) {
                if ($align == 'FJ')
                    $wlink = $wmax;
                else
                    $wlink = $this->GetStringWidth($txt);
                $this->Link($this->x + $dx, $this->y + .5 * $h - .5 * $this->FontSize, $wlink, $this->FontSize, $link);
            }
        }
        if ($s)
            $this->_out($s);
        if ($align == 'FJ') {
            //Remove word spacing
            $this->_out('0 Tw');
            $this->ws = 0;
        }
        $this->lasth = $h;
        if ($ln > 0) {
            $this->y += $h;
            if ($ln == 1)
                $this->x = $this->lMargin;
        } else
            $this->x += $w;
    }
    // Cargar los datos
    function LoadData($file)
    {
        // Leer las líneas del fichero
        $lines = file($file);
        $data = array();
        foreach ($lines as $line)
            $data[] = explode(';', trim($line));
        return $data;
    }
    function Header()
    {
        include("../../connect.php");
        // Logo
        //   $this->Image('logo_pb.png',10,8,33);
        // Arial bold 15

        $this->SetFont('Arial', 'B', 12);
        //  $this->Cell(45,10,'Horario de sucursal:');
        $this->SetFont('Arial', '', 10);
        // $suc = $_POST["sucursal"];
        // $fecha = $_POST["fechainicio"];    
        // $fecha2 = $_POST["fechafin"]; 
        // $fecha = date_create($fecha);
        // $fecha= date_format($fecha, 'd/m/Y');
        // $fecha2 = date_create($fecha2);
        //  $fecha2= date_format($fecha2, 'd/m/Y'); 
        $sql = "SELECT * FROM cat_sucursal WHERE id= 1";
        $resultset1 = mysqli_query($conn, $sql);
        $data = array();
        $emparray = array();
        while ($row = mysqli_fetch_assoc($resultset1)) {
            //  $this->Cell(30,10,$row["nombre_sucursal"]);
        }
        // $this->Cell(190,10,'De  A ','',0,'R');
        $this->Ln();
    }
    // Tabla simple
    function BasicTable($header, $data)
    {
        // Cabecera
        foreach ($header as $col)
            $this->Cell(35, 7, $col, 1);
        $this->Ln();






        // Datos
        foreach ($data as $row) {
            foreach ($row as $col)
                $this->Cell(35, 6, 'nom', 1);
            $this->Ln();
        }
    }


    function FancyTable($header, $data)
    {
        // Colores, ancho de línea y fuente en negrita
        $this->SetFillColor(165, 198, 255);
        $this->SetTextColor(0);
        $this->SetDrawColor(128, 0, 0);
        $this->SetLineWidth(.3);
        $this->SetFont('', 'B');
        // Cabecera
        $w = array(35, 35, 35, 35, 35, 35, 35, 35);
        for ($i = 0; $i < count($header); $i++)
            $this->Cell($w[$i], 7, $header[$i], 1, 0, 'C', true);
        $this->Ln();


        // Restauración de colores y fuentes
        $this->SetFillColor(224, 235, 255);
        $this->SetTextColor(0);
        $this->SetFont('');
        // Datos
        $fill = false;
        foreach ($data as $row) {
            $this->Cell($w[0], 4, utf8_decode($row["nombre"]), 'LR', 0, 'L', $fill);
            $this->Cell($w[0], 4, $row["1"]["horario"], 'LR', 0, 'C', $fill);
            $this->Cell($w[0], 4, $row["2"]["horario"], 'LR', 0, 'C', $fill);
            $this->Cell($w[0], 4, $row["3"]["horario"], 'LR', 0, 'C', $fill);
            $this->Cell($w[0], 4, $row["4"]["horario"], 'LR', 0, 'C', $fill);
            $this->Cell($w[0], 4, $row["5"]["horario"], 'LR', 0, 'C', $fill);
            $this->Cell($w[0], 4, $row["6"]["horario"], 'LR', 0, 'C', $fill);
            $this->Cell($w[0], 4, $row["7"]["horario"], 'LR', 0, 'C', $fill);

            $this->Ln(4);
            $this->Cell($w[3], 4, utf8_decode($row["apellido"]), 'LR', 0, 'L', $fill);
            $this->Cell($w[3], 4, ($row["1"]["entrada"] == "00:00:00" ? "" : $row["1"]["entrada"]) . " - " . ($row["1"]["salida"] == "00:00:00" ? "" : $row["1"]["salida"]), 'LR', 0, 'C', $fill);
            $this->Cell($w[3], 4, ($row["2"]["entrada"] == "00:00:00" ? "" : $row["2"]["entrada"]) . " - " . ($row["2"]["salida"] == "00:00:00" ? "" : $row["2"]["salida"]), 'LR', 0, 'C', $fill);
            $this->Cell($w[3], 4, ($row["3"]["entrada"] == "00:00:00" ? "" : $row["3"]["entrada"]) . " - " . ($row["3"]["salida"] == "00:00:00" ? "" : $row["3"]["salida"]), 'LR', 0, 'C', $fill);
            $this->Cell($w[3], 4, ($row["4"]["entrada"] == "00:00:00" ? "" : $row["4"]["entrada"]) . " - " . ($row["4"]["salida"] == "00:00:00" ? "" : $row["4"]["salida"]), 'LR', 0, 'C', $fill);
            $this->Cell($w[3], 4, ($row["5"]["entrada"] == "00:00:00" ? "" : $row["5"]["entrada"]) . " - " . ($row["5"]["salida"] == "00:00:00" ? "" : $row["5"]["salida"]), 'LR', 0, 'C', $fill);
            $this->Cell($w[3], 4, ($row["6"]["entrada"] == "00:00:00" ? "" : $row["6"]["entrada"]) . " - " . ($row["6"]["salida"] == "00:00:00" ? "" : $row["6"]["salida"]), 'LR', 0, 'C', $fill);
            $this->Cell($w[3], 4, ($row["7"]["entrada"] == "00:00:00" ? "" : $row["7"]["entrada"]) . " - " . ($row["7"]["salida"] == "00:00:00" ? "" : $row["7"]["salida"]), 'LR', 0, 'C', $fill);
            $this->Ln();
            $fill = !$fill;
        }
        // Línea de cierre
        $this->Cell(array_sum($w), 0, '', 'T');
    }
}










function ingredienteConsumido($json)
{
    $pdf = new PDF('P', 'mm', 'A4');
    $pdf->AddPage();
    $pdf->SetFont('Arial', '', 14);
    $pdf->Ln();
    $pdf->SetFillColor(255, 255, 255);
    $header = array('Producto', 'Cantidad');
    $w = array(70, 35, 35, 35, 35, 35, 35, 35);
    $pdf->SetFont('', 'B');
    for ($i = 0; $i < count($header); $i++)
        $pdf->Cell($w[$i], 7, $header[$i], "b", 0, 'L', true);
    $pdf->Ln();
    $pdf->SetFont('', '');
    $pdf->SetFillColor(224, 235, 255);
    $fill = true;
    foreach ($json as &$valor) {
        $pdf->Cell(70, 4, utf8_decode($valor["nombre"]), "b", 0, 'L', $fill);
        $pdf->Cell(35, 4, number_format($valor["cantidad"], 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Ln();
        $fill = !$fill;
    }



    $pdf->Output('F', 'archivo.pdf', FALSE);
    echo ('archivo.pdf');
}
function platillosVendidos($json)
{
    $json = $json["Productos"];
    $pdf = new PDF('P', 'mm', 'A4');
    $pdf->AddPage();
    $pdf->SetFont('Arial', '', 10);
    $pdf->Ln();
    $pdf->SetFillColor(255, 255, 255);
    $header = array('Producto', 'Cantidad', ' Costo', 'Precio', 'Total Costo', 'Importe', 'Utilidad');
    $w = array(50, 25, 25, 25, 30, 25, 35, 35);
    $pdf->SetFont('', 'B');
    for ($i = 0; $i < count($header); $i++)
        $pdf->Cell($w[$i], 7, $header[$i], "b", 0, 'L', true);
    $pdf->Ln();
    $pdf->SetFont('', '');
    $pdf->SetFillColor(224, 235, 255);
    $fill = false;
    $costoTotal = 0;
    $ImporteTontal = 0;
    $cantidadTotal = 0;
    foreach ($json as &$valor) {
        $pdf->Cell(50, 4, utf8_decode($valor["nombrePlatillo"]), "b", 0, 'L', $fill);
        $pdf->Cell(10, 4, number_format($valor["cantidad"], 0, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(30, 4, "$" . number_format($valor["costo"], 2, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(25, 4, "$" . number_format($valor["precio"], 2, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(30, 4, "$" . number_format(($valor["cantidad"] * $valor["costo"]), 2, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(25, 4, "$" . number_format(($valor["cantidad"] * $valor["precio"]), 2, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(25, 4, "$" . number_format(($valor["cantidad"] * $valor["precio"]) - ($valor["cantidad"] * $valor["costo"]), 2, '.', ''), "b", 0, 'R', $fill);
        $pdf->Ln();
        $fill = !$fill;
        $costoTotal = $costoTotal + ($valor["cantidad"] * $valor["costo"]);
        $ImporteTontal = $ImporteTontal + ($valor["cantidad"] * $valor["precio"]);
        $cantidadTotal = $cantidadTotal + $valor["cantidad"];
    }
    $pdf->SetFont('', 'B');
    $pdf->Cell(0, 4, "__________________________________________________________", "b", 0, 'R', false);
    $pdf->Ln();
    $pdf->Cell(10, 4, "", "b", 0, 'R', false);
    $pdf->Cell(30, 4, "Totales:", "b", 0, 'R', false);
    $pdf->SetFont('', '');
    $pdf->Cell(35, 4, "" . $cantidadTotal, "b", 0, 'C', false);
    $pdf->Cell(45, 4, "", "b", 0, 'R', false);
    $pdf->Cell(25, 4, "$" . number_format($costoTotal, 2, '.', ''), "b", 0, 'R', false);
    $pdf->Cell(25, 4, "$" . number_format($ImporteTontal, 2, '.', ''), "b", 0, 'R', false);
    $pdf->Cell(25, 4, "$" . number_format($ImporteTontal - $costoTotal, 2, '.', ''), "b", 0, 'R', false);


    $pdf->Output('F', 'archivo2.pdf', FALSE);
    echo ('archivo2.pdf');
}

function criticosPorCorte($json)
{
    $pdf = new PDF('L', 'mm', 'A4');
    $pdf->AddPage();
    $pdf->SetFont('Arial', '', 10);
    $pdf->Ln();
    $pdf->SetFillColor(255, 255, 255);
    $header = array('PRODUCTO', 'EXISTENCIA INICIAL', 'COMPRAS', 'CONSUMIDO', 'FINAL', 'PRESTAMO', 'REAL', 'DIFERENCIA');
    $w = array(45, 45, 35, 45, 25, 35, 30, 30);
    $pdf->SetFont('', 'B');
    for ($i = 0; $i < count($header); $i++)
        $pdf->Cell($w[$i], 7, $header[$i], "b", 0, 'L', true);
    $pdf->Ln();
    $pdf->SetFont('', '');
    $pdf->SetFillColor(224, 235, 255);
    $fill = true;
    foreach ($json as &$valor) {
        if ($valor["cantidadInicio"] == '') {
            $valor["cantidadInicio"] = '0';
        }
        $pdf->Cell(45, 4, utf8_decode($valor["nombre"]), "b", 0, 'L', $fill);
        $pdf->Cell(35, 4, number_format($valor["cantidadInicio"], 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(35, 4, number_format($valor["compra"], 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(35, 4, number_format($valor["cantidadUsado"], 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(35, 4, number_format($valor["cantidadInicio"] - $valor["cantidadUsado"] + $valor["compra"] + $valor["entrada"] - $valor["salida"], 3, '.', ''), "b", 0, 'R', $fill);

        $pdf->Cell(25, 4, number_format($valor["entrada"] - $valor["salida"], 3, '.', ''), "b", 0, 'R', $fill);



        $pdf->Cell(35, 4, number_format($valor["real"], 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(35, 4, number_format($valor["real"] - ($valor["cantidadInicio"] - $valor["cantidadUsado"] + $valor["compra"] + $valor["entrada"] - $valor["salida"]), 3, '.', ''), "b", 0, 'R', $fill);



        $pdf->Ln();
        $fill = !$fill;
    }



    $pdf->Output('F', 'archivo3.pdf', FALSE);
    echo ('archivo3.pdf');
}

function TodsLosProductosPorCorte($json)
{
    $pdf = new PDF('L', 'mm', 'A4');
    $pdf->AddPage();
    $pdf->SetFont('Arial', '', 10);
    $pdf->Ln();
    $pdf->SetFillColor(255, 255, 255);
    $header = array('PRODUCTO', 'EXISTENCIA INICIAL', 'COMPRAS', 'CONSUMIDO', 'PRESTAMOS', 'FINAL');
    $w = array(55, 65, 45, 45, 45, 45, 45, 35);
    $pdf->SetFont('', 'B');
    for ($i = 0; $i < count($header); $i++)
        $pdf->Cell($w[$i], 7, $header[$i], "b", 0, 'L', true);
    $pdf->Ln();
    $pdf->SetFont('', '');
    $pdf->SetFillColor(224, 235, 255);
    $fill = true;
    foreach ($json as &$valor) {
        if ($valor["cantidadInicio"] == '') {
            $valor["cantidadInicio"] = '0';
        }
        $pdf->Cell(45, 4, utf8_decode($valor["nombre"]), "b", 0, 'L', $fill);
        $pdf->Cell(45, 4, number_format($valor["cantidadInicio"], 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(45, 4, number_format($valor["compra"], 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(45, 4, number_format($valor["cantidadUsado"], 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(45, 4, number_format($valor["entrada"] - $valor["salida"], 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(45, 4, number_format($valor["cantidadInicio"] - $valor["cantidadUsado"] + $valor["compra"], 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Ln();
        $fill = !$fill;
    }



    $pdf->Output('F', 'archivo4.pdf', FALSE);
    echo ('archivo4.pdf');
}
function invenario($json)
{
    $pdf = new PDF('L', 'mm', 'A4');
    $pdf->AddPage();
    $pdf->SetFont('Arial', '', 10);
    $pdf->Ln();
    $pdf->SetFillColor(255, 255, 255);
    $header = array('PRODUCTO', 'EXISTENCIA REAL', 'EXISTENCIA SISTEMA', 'DIFERENCIA');
    $w = array(65, 50, 65, 45, 45, 45, 45, 35);
    $pdf->SetFont('', 'B');
    for ($i = 0; $i < count($header); $i++)
        $pdf->Cell($w[$i], 7, $header[$i], "b", 0, 'L', true);
    $pdf->Ln();
    $pdf->SetFont('', '');
    $pdf->SetFillColor(224, 235, 255);
    $fill = true;
    foreach ($json as &$valor) {
        if ($valor["existencia"] == '') {
            $valor["existencia"] = '0';
        }
        if ($valor["existenciaSistema"] == '') {
            $valor["existenciaSistema"] = '0';
        }
        $pdf->Cell(45, 4, utf8_decode($valor["nombre"]), "b", 0, 'L', $fill);
        $pdf->Cell(45, 4, number_format($valor["existencia"], 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(10, 4, utf8_decode($valor["unidad"]), "b", 0, 'R', $fill);
        $pdf->Cell(45, 4, number_format($valor["existenciaSistema"], 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(10, 4, utf8_decode($valor["unidad"]), "b", 0, 'R', $fill);
        $pdf->Cell(45, 4, number_format(($valor["existencia"] - $valor["existenciaSistema"]), 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(10, 4, utf8_decode($valor["unidad"]), "b", 0, 'R', $fill);




        $pdf->Ln();
        $fill = !$fill;
    }



    $pdf->Output('F', 'archivo5.pdf', FALSE);
    echo ('archivo5.pdf');
}

function ordenesServicio($json)
{
    $pdf = new PDF();
    $pdf->AddPage();
    $pdf->SetFont('Arial', '', 17);
    $pdf->Ln();
    $pdf->SetFillColor(255, 255, 255);
    $header = array('Orden de servicio');
    $w = array(170, 65, 45, 45, 45, 45, 45, 35);
    $pdf->SetFont('', 'B');
    for ($i = 0; $i < count($header); $i++)
        $pdf->Cell($w[$i], 10, $header[$i], "b", 0, 'C', true);
    $pdf->Ln();
    $pdf->SetFont('Arial', '', 10);
    $pdf->SetFillColor(224, 235, 255);
    $fill = true;
    $pdf->Ln();
    $pdf->SetFont('', '');
    $pdf->Cell(25, 4, utf8_decode("VEHICULO : "), "b", 0, 'L', false);
    $pdf->SetFont('', 'B');
    $pdf->Cell(50, 4, utf8_decode($json[0]["veiculo"]), "b", 0, 'L', false);
    $pdf->SetFont('', '');
    $pdf->Cell(25, 4, utf8_decode("COSTO   : "), "b", 0, 'L', false);
    $pdf->SetFont('', 'B');
    $pdf->Cell(50, 4, utf8_decode($json[0]["costo_reparacio"]), "b", 0, 'L', false);
    $pdf->Ln();
    $pdf->SetFont('', '');
    $pdf->Cell(25, 4, utf8_decode("INGRESO   : "), "b", 0, 'L', false);

    $pdf->SetFont('', 'B');

    $timestamp = strtotime($json[0]["fechaIngreso"]);
    $newDate = date("m/d/Y", $timestamp);

    $pdf->Cell(50, 4, utf8_decode($newDate), "b", 0, 'L', false);
    $pdf->SetFont('', '');

    $pdf->Cell(25, 4, utf8_decode("SALIDA   : "), "b", 0, 'L', false);
    $pdf->SetFont('', 'B');
    $timestamp = strtotime($json[0]["fechaSalida"]);
    $newDate = date("m/d/Y", $timestamp);
    if (!$json[0]["fechaSalida"]) {
        $newDate = 'En proceso';
    }
    $pdf->Cell(50, 4, utf8_decode($newDate), "b", 0, 'L', false);


    $pdf->Ln();
    $pdf->SetFont('', '');
    $pdf->Cell(25, 4, utf8_decode("FALLA         : "), "b", 0, 'L', false);
    $pdf->SetFont('', 'B');




    $pdf->Cell(50, 4, utf8_decode($json[0]["falla_reportada"]), "b", 0, 'L', false);



    $pdf->Ln();
    $pdf->Ln();
    $pdf->SetFont('', '');
    $pdf->Cell(25, 4, utf8_decode("COMENTARIOS       : "), "b", 0, 'L', false);
    $pdf->Ln();
    foreach ($json as &$valor) {

        $pdf->Cell(100, 4, utf8_decode($valor["comentario"]), "b", 0, 'L', $fill);

        $pdf->Ln();
        $fill = !$fill;
    }
    $pdf->Cell(100, 4, utf8_decode($json[0]["comentarioFinal"]), "b", 0, 'L', false);


    $pdf->Cell(0, 190, "", 0, 0, 'L', false);
    $pdf->Ln();
    $pdf->Cell(0, 5, utf8_decode("_________________________________________"), 0, 0, 'C', false);
    $pdf->Ln();
    $pdf->Cell(0, 5, utf8_decode("FIRMA DE ENTERADO"), 0, 0, 'C', false);




    $pdf->Output('F', 'archivo9.pdf', FALSE);
    echo ('archivo9.pdf');
}

function proyecciones($json, $fechaInicio, $fechaFin, $sucursal)
{
    $pdf = new PDF('L', 'mm', 'A4');
    $pdf->AddPage();
    $pdf->SetFont('Arial', '', 15);
    $tamañoespacio = "28";
    $pdf->Ln();
    $pdf->Cell($tamañoespacio * 1, 4, utf8_decode("Proyeccion de sucursal : " . $sucursal . " del $fechaInicio a $fechaFin"), "C", 0, 'L', false);
    $pdf->Ln();
    $pdf->Ln();
    $pdf->Ln();
    $pdf->SetFont('Arial', '', 8);

    $pdf->SetFillColor(255, 255, 255);
    $header = array('PRODUCTO', 'PROYECCION', 'PREPARACION REAL', 'VENTA TOTAL', '', 'PRODUCTO', 'PROYECCION', 'PREPARACION REAL', 'VENTA TOTAL');

    $w = array($tamañoespacio * 1, $tamañoespacio * .8, $tamañoespacio * 1.2, $tamañoespacio * 1, $tamañoespacio * 1, $tamañoespacio * 1, $tamañoespacio * .8, $tamañoespacio * 1.2, $tamañoespacio * 1);
    $pdf->SetFont('', 'B');
    $pdf->SetFillColor(224, 235, 255);
    $pdf->Cell($tamañoespacio * 4, 7, "LUNES", "LR", 0, 'L', TRUE);
    $pdf->Cell($tamañoespacio * 1, 4, utf8_decode(''), "C", 0, 'L', false);
    $pdf->Cell($tamañoespacio * 4, 7, "MARTES", "LR", 0, 'L', true);
    $pdf->Ln();
    $pdf->SetFillColor(255, 255, 255);


    for ($i = 0; $i < count($header); $i++) {
        if ($i == 4) {
            $pdf->Cell($w[$i], 7, $header[$i], "LR", 0, 'L', true);
        } else {
            $pdf->Cell($w[$i], 7, $header[$i], "LR", 0, 'L', true);
        }
    }

    $pdf->Ln();
    $pdf->SetFont('', '');
    $pdf->SetFillColor(224, 235, 255);
    $fill = TRUE;
    foreach ($json as &$valor) {
        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode($valor["nombre"]), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * .8, 4, number_format($valor["lunes"], 3, '.', ''), "LR", 0, 'R', $fill);
        $pdf->Cell($tamañoespacio * 1.2, 4, utf8_decode(''), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode(''), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode(''), "C", 0, 'L', false);

        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode($valor["nombre"]), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * .8, 4, number_format($valor["martes"], 3, '.', ''), "L", 0, 'R', $fill);
        $pdf->Cell($tamañoespacio * 1.2, 4, utf8_decode(''), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode(''), "LR", 0, 'L', $fill);
        $pdf->Ln();


        $fill = !$fill;

        // $pdf->Ln();
        /* $pdf->Cell(45, 4, number_format($valor["existencia"], 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(10, 4, utf8_decode($valor["unidad"]), "b", 0, 'R', $fill);
        $pdf->Cell(45, 4, number_format($valor["existenciaSistema"], 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(10, 4, utf8_decode($valor["unidad"]), "b", 0, 'R', $fill);
        $pdf->Cell(45, 4, number_format(($valor["existencia"] - $valor["existenciaSistema"]), 3, '.', ''), "b", 0, 'R', $fill);
        $pdf->Cell(10, 4, utf8_decode($valor["unidad"]), "b", 0, 'R', $fill);*/
    }
    $pdf->Ln();
    $pdf->Ln();
    $header = array('PRODUCTO', 'PROYECCION', 'PREPARACION REAL', 'VENTA TOTAL', '', 'PRODUCTO', 'PROYECCION', 'PREPARACION REAL', 'VENTA TOTAL');
    $fill = FALSE;
    $w = array($tamañoespacio * 1, $tamañoespacio * .8, $tamañoespacio * 1.2, $tamañoespacio * 1, $tamañoespacio * 1, $tamañoespacio * 1, $tamañoespacio * .8, $tamañoespacio * 1.2, $tamañoespacio * 1);
    $pdf->SetFont('', 'B');

    $pdf->SetFillColor(224, 235, 255);
    $pdf->Cell($tamañoespacio * 4, 7, "MIERCOLES", "LR", 0, 'L', TRUE);
    $pdf->Cell($tamañoespacio * 1, 4, utf8_decode(''), "C", 0, 'L', false);
    $pdf->Cell($tamañoespacio * 4, 7, "JUEVES", "LR", 0, 'L', true);
    $pdf->Ln();
    $pdf->SetFillColor(255, 255, 255);


    for ($i = 0; $i < count($header); $i++) {
        if ($i == 4) {
            $pdf->Cell($w[$i], 7, $header[$i], "LR", 0, 'L', FALSE);
        } else {
            $pdf->Cell($w[$i], 7, $header[$i], "LR", 0, 'L', FALSE);
        }
    }
    $pdf->Ln();
    $pdf->SetFont('', '');
    $pdf->SetFillColor(224, 235, 255);
    $fill = TRUE;
    foreach ($json as &$valor) {
        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode($valor["nombre"]), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * .8, 4, number_format($valor["miercoles"], 3, '.', ''), "L", 0, 'R', $fill);
        $pdf->Cell($tamañoespacio * 1.2, 4, utf8_decode(''), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode(''), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode(''), "C", 0, 'L', false);



        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode($valor["nombre"]), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * .8, 4, number_format($valor["jueves"], 3, '.', ''), "LR", 0, 'R', $fill);
        $pdf->Cell($tamañoespacio * 1.2, 4, utf8_decode(''), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode(''), "LR", 0, 'L', $fill);

        /*  $pdf->Cell($tamañoespacio * .8, 4, number_format($valor["viernes"], 3, '.', ''), "L", 0, 'R', $fill);
        $pdf->Cell($tamañoespacio * 1.2, 4, utf8_decode(''), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode(''), "LR", 0, 'L', $fill);

                    */
        $pdf->Ln();

        $fill = !$fill;
    }

    $pdf->Ln();
    $pdf->Ln();

    $header = array('PRODUCTO', 'PROYECCION', 'PREPARACION REAL', 'VENTA TOTAL', '', 'PRODUCTO', 'PROYECCION', 'PREPARACION REAL', 'VENTA TOTAL');


    $w = array($tamañoespacio * 1, $tamañoespacio * .8, $tamañoespacio * 1.2, $tamañoespacio * 1, $tamañoespacio * 1, $tamañoespacio * 1, $tamañoespacio * .8, $tamañoespacio * 1.2, $tamañoespacio * 1);
    $pdf->SetFont('', 'B');
    $pdf->SetFillColor(224, 235, 255);
    $pdf->Cell($tamañoespacio * 4, 7, "VIERNES", "LR", 0, 'L', TRUE);
    $pdf->Cell($tamañoespacio * 1, 4, utf8_decode(''), "C", 0, 'L', false);
    $pdf->Cell($tamañoespacio * 4, 7, "SABADO", "LR", 0, 'L', true);
    $pdf->Ln();
    $pdf->SetFillColor(255, 255, 255);
    for ($i = 0; $i < count($header); $i++) {
        if ($i == 4) {
            $pdf->Cell($w[$i], 7, $header[$i], "LR", 0, 'L', true);
        } else {
            $pdf->Cell($w[$i], 7, $header[$i], "LR", 0, 'L', true);
        }
    }
    $pdf->Ln();
    $pdf->SetFont('', '');
    $pdf->SetFillColor(224, 235, 255);
    $fill = false;
    foreach ($json as &$valor) {

        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode($valor["nombre"]), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * .8, 4, number_format($valor["viernes"], 3, '.', ''), "L", 0, 'R', $fill);
        $pdf->Cell($tamañoespacio * 1.2, 4, utf8_decode(''), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode(''), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode(''), "C", 0, 'L', false);


        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode($valor["nombre"]), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * .8, 4, number_format($valor["sabado"], 3, '.', ''), "L", 0, 'R', $fill);
        $pdf->Cell($tamañoespacio * 1.2, 4, utf8_decode(''), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode(''), "LR", 0, 'L', $fill);


        $pdf->Ln();

        $fill = !$fill;
    }

    $pdf->Ln();
    $pdf->Ln();

    $header = array('PRODUCTO', 'PROYECCION', 'PREPARACION REAL', 'VENTA TOTAL',);


    $w = array($tamañoespacio * 1, $tamañoespacio * .8, $tamañoespacio * 1.2, $tamañoespacio * 1, $tamañoespacio * 1, $tamañoespacio * 1, $tamañoespacio * .8, $tamañoespacio * 1.2, $tamañoespacio * 1);
    $pdf->SetFont('', 'B');
    $pdf->SetFillColor(224, 235, 255);
    $pdf->Cell($tamañoespacio * 4, 7, "DOMINGO", "LR", 0, 'L', TRUE);
    $pdf->Cell($tamañoespacio * 1, 4, utf8_decode(''), "C", 0, 'L', false);

    $pdf->Ln();
    $pdf->Ln();
    $pdf->SetFillColor(255, 255, 255);
    for ($i = 0; $i < count($header); $i++) {
        if ($i == 4) {
            $pdf->Cell($w[$i], 7, $header[$i], "LR", 0, 'L', true);
        } else {
            $pdf->Cell($w[$i], 7, $header[$i], "LR", 0, 'L', true);
        }
    }
    $pdf->Ln();
    $pdf->SetFont('', '');
    $pdf->SetFillColor(224, 235, 255);
    $fill = false;
    foreach ($json as &$valor) {

        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode($valor["nombre"]), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * .8, 4, number_format($valor["dimingo"], 3, '.', ''), "L", 0, 'R', $fill);
        $pdf->Cell($tamañoespacio * 1.2, 4, utf8_decode(''), "LR", 0, 'L', $fill);
        $pdf->Cell($tamañoespacio * 1, 4, utf8_decode(''), "LR", 0, 'L', $fill);



        $pdf->Ln();

        $fill = !$fill;
    }


    $pdf->Output('F', 'archivo10.pdf', FALSE);
    echo ('archivo10.pdf');
}

function exportarCSV($json, $fechaInicio, $fechaFin, $sucursal)
{
    //echo ('proyecciones.csv');
    // Nombre del archivo CSV
    $csvFileName = 'proyecciones.csv';

    // Crear o abrir el archivo CSV para escritura
    $csvFile = fopen($csvFileName, 'w');

    // Agregar el encabezado de $tamañoespacio al archivo CSV
    //$encabezado = array('TAMAÑO ESPACIO', $sucursal);

    $encabezado = array("Proyeccion de sucursal : " . $sucursal . " del $fechaInicio a $fechaFin");



    fputcsv($csvFile, $encabezado);
    // Encabezado CSV
    $header = array('DIA', 'PRODUCTO', 'PROYECCION', 'PREPARACION REAL', 'VENTA TOTAL');
    fputcsv($csvFile, $header);

    // Lunes a Domingo
    $dias = array('LUNES', 'MARTES', 'MIERCOLES', 'JUEVES', 'VIERNES', 'SABADO', 'DOMINGO');
    $dias1 = array("lunes", "martes", "miercoles", "jueves", "viernes", "sabado", "dimingo");
    $aux = 0;
    foreach ($dias as $dia) {
        foreach ($json as $valor) {
            // Datos a escribir en el CSV
            $data = array(
                $dia,
                $valor["nombre"],
                number_format($valor[$dias1[$aux]], 3, '.', ''),
                '',  // Aquí puedes agregar la preparación real si tienes esos datos disponibles
                ''   // Aquí puedes agregar la venta total si tienes esos datos disponibles
            );

            // Escribir datos en el CSV
            fputcsv($csvFile, $data);
        }
        $aux++;
    }

    // Cerrar el archivo CSV
    fclose($csvFile);

    // Devolver el nombre del archivo CSV generado
    echo $csvFileName;
}




$tipo = $_POST["tipo"];

switch ($tipo) {
    case "obtenercsv":
        exportarCSV(json_decode($_POST["Ingredientes"], true), $_POST["fechaInicio"], $_POST["fechaFin"], $_POST["Sucursal"]);
        break;
    case "IngredientesConsumidos":
        ingredienteConsumido(json_decode($_POST["Ingredientes"], true));
        break;
    case "PlatillosVendidos":
        platillosVendidos(json_decode($_POST["Platillos"], true));
        break;
    case "criticosPorCorte":
        criticosPorCorte(json_decode($_POST["datos"], true));
        break;
    case "TodsLosProductosPorCorte":
        TodsLosProductosPorCorte(json_decode($_POST["datos"], true));
        break;
    case "inventario":
        invenario(json_decode($_POST["datos"], true));
        break;

    case "ordenFormato":
        ordenesServicio(json_decode($_POST["datos"], true));
        break;

    case "proyecion":

        proyecciones(json_decode($_POST["Ingredientes"], true), $_POST["fechaInicio"], $_POST["fechaFin"], $_POST["Sucursal"]);
        break;
}
